import Vue from 'vue'
import App from './App'
import store from '@/store';
import uView from "uview-ui";
import vuexStore from '@/store/$u.mixin.js';
import install from '@/common/http.interceptor.js'
import httpApi from '@/common/http.api.js'
import AES from '@/common/aes.js' // 密码加密

let mpShare = require('uview-ui/libs/mixin/mpShare.js');

Vue.config.productionTip = false

App.mpType = 'app'

Vue.use(uView);
// 引入uView提供的对vuex的简写法文件
Vue.mixin(vuexStore);
// 引入uView对小程序分享的mixin封装
Vue.mixin(mpShare)
Vue.prototype.$AES = AES;

const app = new Vue({
  store,
  ...App
})
Vue.use(install, app)
Vue.use(httpApi, app)
app.$mount()
